glibmm 2.62.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value< unsigned char > Class Template Reference
Generic Values

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< unsigned char >:
[legend]

## Public Types
using | CppType = unsigned char
using | CType = guchar

## Public Member Functions
void | set (unsigned char data)
unsigned char | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Static Public Member Functions
static GType | value_type ()

## Additional Inherited Members
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

using Glib::Value< unsigned char >::CppType = unsigned char

using Glib::Value< unsigned char >::CType = guchar

## Member Function Documentation

unsigned char Glib::Value< unsigned char >::get | ( |  | ) | const

void Glib::Value< unsigned char >::set | ( | unsigned char | data | ) |

static GType Glib::Value< unsigned char >::value_type | ( |  | ) |
| static